(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@emotion/is-prop-valid"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var is_prop_valid_1 = require("@emotion/is-prop-valid");
    function isValidNumber(num) {
        return typeof num === 'number' && num === num;
    }
    exports.isValidNumber = isValidNumber;
    function noop() { }
    exports.noop = noop;
    function ignoreProps(ignoreList) {
        return function (propName) {
            return ignoreList.indexOf(propName) === -1 && is_prop_valid_1.default(propName);
        };
    }
    exports.ignoreProps = ignoreProps;
});
